<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8"/>
		<title>Gestion des appareils</title>
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css"
		      rel="stylesheet"
		      integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x"
		      crossorigin="anonymous">
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js"
			integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//E1J19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4"
			crossorigin="anonymous">
		</script>
	</head>
	<body>
		<form method="POST" action="menu.php"> 
			<button class="btn-lg btn-secondary" type="submit">Retour au menu</button>
		</form>
		<?php
			session_start();
			if(isset($_SESSION['identifiant'])=="admin"){
				$identifiant = $_SESSION['identifiant'];
			}else{
				echo "<meta http-equiv=\"refresh\" content=\"0;url=index.html\">";
			}
			include("connexion.php");
			$requete = "SELECT * FROM equipement";
			$exec_requete = mysqli_query($db,$requete);
			$reponse = mysqli_fetch_all($exec_requete);
			$requete = "SELECT * FROM banc";
			$exec_requete = mysqli_query($db,$requete);
			$banc = mysqli_fetch_all($exec_requete);
			mysqli_close($db);
			/* Affichage des appareils */
			echo "<table class='table table-striped'>";
			echo "<thead>";
			echo "<tr>";
			echo "<th>Banc</th>";
			echo "<th>IP</th>";
			echo "<th>Nom de l'appareil</th>";
			echo "<th>Type d'appareil</th>";
			echo "<th></th>";
			echo "</tr>";
			echo "</thead>";
			echo "<tbody>";
			for($i=0;$i<count($reponse);$i++){
				echo "<tr>";
				echo "<td>".$reponse[$i][0]."</td>";
				echo "<td>".$reponse[$i][1]."</td>";
				echo "<td>".$reponse[$i][2]."</td>";
				echo "<td>".$reponse[$i][3]."</td>";
				echo "<td><form method='POST' action='supprAppareil.php?ip=".$reponse[$i][1]."'><button class='btn-lg btn-danger' type='submit'>Supprimer l'appareil</button></form>";
				echo "</tr>";
			}
			/* Ajout appareil */
			echo "<form method='POST' action='ajoutAppareil.php'>";
			echo "<tr>";
			echo "<td><select class='select' name='banc' id='banc' required>";
			foreach($banc as $value){
				echo '<option value="'.$value[0].'">'.$value[0].'</option>';
			}	
			echo "</select></td>";
			echo "<td><input type='text' name='ip' required></td>";
			echo "<td><input type='text' name='name' required></td>";
			echo "<td><input type='text' name='type' required></td>";
			echo "<td><button class='btn-lg btn-success' type='submit'>Ajouter l'appareil</button></td>";
			echo "</tr>";
			echo "</tbody>";
			echo "</table>";	
			echo "</form>";
		?>
	</body>
</html>
			
	
